Summary:	Application launcher for wlroots based Wayland compositors
Name:		fuzzel
Version:	1.12.0
Release:	1
License:	MIT
Group:		Applications
Source0:	https://codeberg.org/dnkl/fuzzel/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5ed277912bfacf0a0dc7f1bcce0bbfe8
URL:		https://codeberg.org/dnkl/fuzzel/
BuildRequires:	cairo-devel
BuildRequires:	fcft-devel < 4.0.0
BuildRequires:	fcft-devel >= 3.0.0
BuildRequires:	fontconfig-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel
BuildRequires:	meson >= 0.58.0
BuildRequires:	ninja
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRequires:	scdoc
BuildRequires:	tllist-devel >= 1.0.1
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols >= 1.32
BuildRequires:	xorg-lib-libxkbcommon-devel
Requires:	fcft < 4.0.0
Requires:	fcft >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fuzzel is a Wayland-native application launcher, similar to rofi's
drun mode.

%package -n fish-completion-fuzzel
Summary:	fish-completion for fuzzel
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
BuildArch:	noarch

%description -n fish-completion-fuzzel
fish-completion for fuzzel.

%package -n zsh-completion-fuzzel
Summary:	ZSH completion for fuzzel command line
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-fuzzel
ZSH completion for fuzzel command line.

%prep
%setup -q

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%dir %{_sysconfdir}/xdg/fuzzel
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/fuzzel/fuzzel.ini
%attr(755,root,root) %{_bindir}/fuzzel
%{_mandir}/man1/fuzzel.1*
%{_mandir}/man5/fuzzel.ini.5*

%files -n fish-completion-fuzzel
%defattr(644,root,root,755)
%{_datadir}/fish/vendor_completions.d/fuzzel.fish

%files -n zsh-completion-fuzzel
%defattr(644,root,root,755)
%{zsh_compdir}/_fuzzel
%changelog
* Sun Apr 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fuzzel.git;a=log;h=master

* Fri Apr 11 2025 Jan Palus <atler@pld-linux.org> 17a46de
- up to 1.12.0

* Fri Apr 11 2025 Jan Palus <atler@pld-linux.org> 8f4d51f
- use new meson macros

* Fri Dec 27 2024 Jan Palus <atler@pld-linux.org> 358dc8a
- up to 1.11.1

* Mon Sep 09 2024 Jan Palus <atler@pld-linux.org> 39a2962
- up to 1.11.0

* Tue Apr 16 2024 Jan Palus <atler@pld-linux.org> 6719f2c
- up to 1.10.2

* Fri Jul 14 2023 Jan Palus <atler@pld-linux.org> 50511b2
- up to 1.9.2

* Fri Mar 31 2023 Jan Palus <atler@pld-linux.org> 6a2aa30
- up to 1.9.1

* Tue Mar 28 2023 Jan Palus <atler@pld-linux.org> 08d4bdd
- up to 1.9.0

* Sat Nov 05 2022 Jan Palus <atler@pld-linux.org> 1c53d08
- up to 1.8.2

* Thu Oct 27 2022 Jan Palus <atler@pld-linux.org> 15339f1
- up to 1.8.1

* Sun Oct 23 2022 Jan Palus <atler@pld-linux.org> 8aee96b
- up to 1.8.0

* Wed Apr 20 2022 Jan Palus <atler@pld-linux.org> 70b1024
- new

